import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/customer',
    name:'Customer',
    component:LayoutIndex,
    meta:{
      title:'客户管理'
    },
    children:[
      {
        path:'businessList',
        name:"businessList",
        component: () => import('@/views/business_manage/businessList.vue'),
				hidden: false,
        meta:{
          title:'商家管理'
        },
      },
      {
        path:'addBusiness',
        name:"addBusiness",
        component: () => import('@/views/business_manage/addBusiness.vue'),
				hidden: false,
        meta:{
          title:'新增商家',
          pathFrom: "businessList",
          pathName: "商家管理",
        }
      },
      {
        path:'editBusiness',
        name:"editBusiness",
        component: () => import('@/views/business_manage/addBusiness.vue'),
				hidden: false,
        meta:{
          title:'修改商家',
          pathFrom: "businessList",
          pathName: "商家管理",
        }
      },
      {
        path:'businessDetail',
        name:"businessDetail",
        component: () => import('@/views/business_manage/addBusiness.vue'),
				hidden: false,
        meta:{
          title:'商家详情',
          pathFrom: "businessList",
          pathName: "商家管理",
        }
      },
      {
        path:'businessAuth',
        name:"businessAuth",
        component: () => import('@/views/business_manage/businessAuth.vue'),
        hidden: false,
        meta:{
          title:'商家权限',
          pathFrom: "businessETAList",
          pathName: "商家管理",
        }
      },
      {
        path:'userList',
        name:'CustomerUserList',
        component:()=>import('@/views/customer/user/Index.vue'),
        meta:{
          title:'用户管理'
        },
      }
    ]
  },
  {
    path:'/customer',
    name:'CustomerUser',
    component:LayoutIndex,
    meta:{
      title:'ETA客户行为统计'
    },
    children:[
      {
        path:'userActionStatistic',
        name:'CustomerUserActionStatistic',
        component:()=>import('@/views/customer/user/ActionStatistic.vue'),
        meta:{
          title:'ETA客户行为统计'
        },
      }
    ]
  },
  {
    path:'/etaTrial',
    name:'etaTrial',
    component:LayoutIndex,
    meta:{
      title:'ETA试用管理'
    },
    children:[
      {
        path: "etaTrialList",
        component: () => import("@/views/etaTrial/etaTrialList.vue"),
        name: "etaTrialList",
        hidden: false,
        meta: {
          title:'ETA试用列表'
        },
      },
      {
        path: "etaApprovalList",
        component: () => import("@/views/etaTrial/etaTrialList.vue"),
        name: "etaApprovalList",
        hidden: false,
        meta: {
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
          title:'客户列表'
        },
      },
      {
        path: "etaAddApproval",
        component: () => import("@/views/etaTrial/addApproval.vue"),
        name: "etaAddApproval",
        hidden: false,
        meta: {
          pathFrom: "etaTrialList",
          pathName: "ETA试用",
          title:'新增申请'
        },
      },
    ]
  },
  {
    path:'/etaMenuConfig',
    name:'etaMenuConfig',
    component:LayoutIndex,
    meta:{
      title:'ETA菜单配置'
    },
    children:[
      {
        path:'etaMenuList',
        name:'etaMenuList',
        component:() => import('@/views/etaMenu_manage/etaMenuConfig.vue'),
        meta:{
          title:'ETA菜单配置'
        },
      }
    ]
  },
]